package main

import (
	"gitea.zjmud.xyz/phyer/rbac/api"
	"gitea.zjmud.xyz/phyer/rbac/config"
	"gitea.zjmud.xyz/phyer/rbac/server"
)

func main() {
	config.Init()
	server.InitDB()
	r := server.NewServer()
	api.SetupRoutes(r)
	r.Run(":8080")
}

// package main
//
// import (
// 	"gitea.zjmud.xyz/phyer/rbac/config"
// 	"gitea.zjmud.xyz/phyer/rbac/server"
// 	"gitea.zjmud.xyz/phyer/rbac/utils"
// )
//
// func main() {
// 	// 初始化配置
// 	config.Init()
//
// 	// 初始化 Redis
// 	utils.InitRedis()
//
// 	// 启动服务器
// 	server.Start()
// }
